commit:     d7e6f072d9e90573e51efcfcae8d086a084c815e
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 13 18:38:34 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Mar 13 19:02:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7e6f072

dev-python/jsonpickle: Bump

Package-Manager: portage-2.2.28

 dev-python/jsonpickle/Manifest                |  1 +
 dev-python/jsonpickle/jsonpickle-0.9.3.ebuild | 51 +++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/jsonpickle/Manifest b/dev-python/jsonpickle/Manifest
index 44bfe65..96e3a96 100644
--- a/dev-python/jsonpickle/Manifest
+++ b/dev-python/jsonpickle/Manifest
@@ -1,3 +1,4 @@
 DIST jsonpickle-0.8.0.tar.gz 53246 SHA256 
fbdff63cad3af5313b186bd44b0977a28fa0aa7d0fc1677e440b5512bea1f99a SHA512 
955da4cf18cd76b5fc7777f74babe820b02bc79438e51e606d24f98ed8f655510293f77db5b7919d9f3607431a2c5a76fb6710a97a23f7a041392c1b3d3b65b6
 WHIRLPOOL 
b61ce4a55ac57d8a5e5f8621ccb4404a9a1b6d73291945007bec1625a06f8ea84d229e05ddde023b4ce1d6d9cc21f34494fa94e0554db19f13d01602cd662070
 DIST jsonpickle-0.9.1.tar.gz 59008 SHA256 
3ba4f8949e1988b7d786b6bd25a30c2a538e84247fd8fa3cae4ad7cf8f3bae65 SHA512 
55eb5607a9beb9d0db17c96e96c80a76fd8fbd4bc28657a655af1bad936a9026677ef7ce46014c6d6032e22e442ad3b99fb77ae1c1785682f0fbdb786657d9d9
 WHIRLPOOL 
9e4d9f74880746d2e96eca58bc19b623010c332456fc00c5ac4ffdd13a69e04fecadfbdf885a575366c60c923a60ef4d0180ca0e6e31c0f161d12f6c4baff31f
 DIST jsonpickle-0.9.2.tar.gz 59816 SHA256 
09bf1978d1d004943c2a359009fb5d09b67277bbaaf9aed281856b3c063979e7 SHA512 
bfb4110bf98cb8976cffaa47b40aa2c057b7111e99a4676e09bf127c6dada9e01214aba36e7f46be28dc4ec854e30049d1e153414ee7878ed32ea518d3b48ede
 WHIRLPOOL 
6e82ab4ee090b3f3ab319ff40daa67ba0826722dfecb9c2527cea4e63ee87d27176cb2ad3f1340b8995bf5143626b5690e0e612da007aac0fc1949504cb05b0b
+DIST jsonpickle-0.9.3.tar.gz 60489 SHA256 
54569ebd2aa042529966d45d46be9eac6dd9852150dcee01bb61499d884f23fa SHA512 
38de2ab2c15e0e28323a8cc83b0c0b0631f2f678f620e8738fee19c71492f011aa7eec428b859574a0066b9e24a08bde911a283736757964035befe3042f2e06
 WHIRLPOOL 
3a30037709d93c03930b686f1ba63f17059b1e162564b14ec302a2d87796faf45ea36b8b9acf03538f577e12a8dbabb4e8ca9064a3b9018f18f7edbfbc29e849

diff --git a/dev-python/jsonpickle/jsonpickle-0.9.3.ebuild 
b/dev-python/jsonpickle/jsonpickle-0.9.3.ebuild
new file mode 100644
index 0000000..9eddbf5
--- /dev/null
+++ b/dev-python/jsonpickle/jsonpickle-0.9.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3,3_4,3_5} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for serializing any arbitrary object graph into 
JSON"
+HOMEPAGE="https://github.com/jsonpickle/jsonpickle/ 
https://pypi.python.org/pypi/jsonpickle";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+# There are optional json backends serializer/deserializers in addition to 
those selected here
+# jsonlib, yajl.  demjson added
+RDEPEND="dev-python/simplejson[${PYTHON_USEDEP}]
+               dev-python/feedparser[${PYTHON_USEDEP}]
+               dev-python/ujson[${PYTHON_USEDEP}]
+               dev-python/demjson[${PYTHON_USEDEP}]
+               "
+DEPEND="test? ( ${RDEPEND} )
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}]
+               $(python_gen_cond_dep 
'dev-python/sphinxtogithub[${PYTHON_USEDEP}]' python2_7) )"
+
+python_prepare_all() {
+       # Prevent un-needed d'loading during doc build
+       sed -e "s/, 'sphinx.ext.intersphinx'//" -i docs/source/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+       use doc && sphinx-build -b html -c docs/source/ docs/source/ 
docs/source/html
+}
+
+python_test() {
+       # An apparent regression in tests
+       # https://github.com/jsonpickle/jsonpickle/issues/124
+       einfo "testsuite has optional tests for package demjson"
+       ${PYTHON} tests/runtests.py || die
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( docs/source/html/. )
+       distutils-r1_python_install_all
+}

Reply via email to